"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _reactRouterDom = require("react-router-dom");

var _proponentList = _interopRequireDefault(require("../../helpers/proponentList"));

var _styles = require("./styles");

var _global = require("../../helpers/global");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

var renderDifficulty = function renderDifficulty(difficulty) {
  // eslint-disable-next-line
  var items = []; // eslint-disable-next-line

  for (var i = 1; i <= difficulty.value; i++) {
    items.push(React.createElement(_styles.Difficulty, {
      key: i,
      bg: i,
      highlight: difficulty.value === i
    }));
  }

  return React.createElement(_styles.DifficultyMeter, null, items);
};
/**
 * Renders each component card
 * @param {Object} comp
 */


var renderComponentCard = function renderComponentCard(comp) {
  return React.createElement(_reactRouterDom.Link, {
    to: comp.to,
    key: comp.name
  }, React.createElement(_styles.ComponentCard, null, React.createElement(_global.Text, {
    alignCenter: true,
    weightSemiBold: true,
    textDark: true,
    fontSize: 20,
    logoFont: true
  }, comp.name), React.createElement(_global.Text, {
    marginTop: 8,
    fontSize: 16,
    lineHeight: 140,
    textBase: true,
    alignCenter: true
  }, comp.info), renderDifficulty(comp.difficulty), React.createElement(_global.Text, {
    fontSize: 13,
    lineHeight: 140,
    textPrimary: true,
    alignCenter: true,
    uppercase: true,
    weightHeavy: true
  }, comp.difficulty.label)));
};
/**
 * Renders Hero Section
 */


var renderHeroSection = function renderHeroSection() {
  return React.createElement(_global.Section, {
    bgGradient: "45deg, #062849, #558EA6",
    padding: "10rem 16.5% 0",
    alignCenter: true
  }, React.createElement(_global.Img, {
    src: "./assets/proponent-logo.svg",
    alt: "Proponents",
    width: 7,
    margin: "0 auto 0.75rem"
  }), React.createElement(_global.Text, {
    fontSize: 18,
    lightOpacity: "0.6",
    marginTop: 24,
    marginCenter: true,
    alignCenter: true,
    width: 85
  }, "Proponents is a library with a collection of beautifully designed, user-experience centric components, built with ", React.createElement(_global.Span, {
    textWhite: true
  }, "ReactJS"), " and ", React.createElement(_global.Span, {
    textWhite: true
  }, "styled-components"), "."), React.createElement(_styles.CardsContainer, {
    padding: "4rem 0 0",
    split: "1fr 1fr 1fr",
    gap: "1.5rem"
  }, _proponentList.default.map(function (c) {
    return renderComponentCard(c);
  })));
};

var renderInfoSection = function renderInfoSection() {
  return React.createElement(_global.Section, {
    bg: "#F2F3F7",
    padding: "10rem 15%"
  }, React.createElement(_global.Text, null, "Cool People"));
};
/**
 * Home Component
 */


var Home = function Home() {
  return React.createElement(_global.Page, {
    bgGray: true
  }, renderHeroSection(), renderInfoSection());
}; // Export Home


var _default = Home;
var _default2 = _default;
exports.default = _default2;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(renderDifficulty, "renderDifficulty", "/Users/user1/Documents/projects/proponents/src/views/home/index.jsx");
  reactHotLoader.register(renderComponentCard, "renderComponentCard", "/Users/user1/Documents/projects/proponents/src/views/home/index.jsx");
  reactHotLoader.register(renderHeroSection, "renderHeroSection", "/Users/user1/Documents/projects/proponents/src/views/home/index.jsx");
  reactHotLoader.register(renderInfoSection, "renderInfoSection", "/Users/user1/Documents/projects/proponents/src/views/home/index.jsx");
  reactHotLoader.register(Home, "Home", "/Users/user1/Documents/projects/proponents/src/views/home/index.jsx");
  reactHotLoader.register(_default, "default", "/Users/user1/Documents/projects/proponents/src/views/home/index.jsx");
  leaveModule(module);
})();

;