"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Difficulty = exports.DifficultyMeter = exports.AuthorPhoto = exports.AuthorList = exports.ComponentCard = exports.CardsContainer = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _variables = require("../../helpers/variables");

var _global = require("../../helpers/global");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

/**
 * CardsContainer
 * @type GridSection
 */
var CardsContainer = (0, _styledComponents.default)(_global.GridSection).withConfig({
  displayName: "styles__CardsContainer",
  componentId: "sc-1nxhv5r-0"
})(["grid-auto-row:1fr;margin-bottom:-100px;"]);
/**
 * ComponentCard
 * Defines a component card
 * @type div
 *
 * @prop {boolean} bgGray: set background to gray?
 */

exports.CardsContainer = CardsContainer;

var ComponentCard = _styledComponents.default.div.withConfig({
  displayName: "styles__ComponentCard",
  componentId: "sc-1nxhv5r-1"
})(["background:", ";box-shadow:0 5px 15px -2px rgba(0,0,0,0.075);border-radius:6px;padding:2rem;text-align:center;transition:0.1s all ease-in;&:hover{transform:scale(0.985);}&:focus,&:active{transform:scale(0.95);}"], function (props) {
  return props.bgGray ? _variables.SCHEME.gray : _variables.COLORS.white;
});

exports.ComponentCard = ComponentCard;

var AuthorList = _styledComponents.default.div.withConfig({
  displayName: "styles__AuthorList",
  componentId: "sc-1nxhv5r-2"
})(["position:relative;top:-1rem;text-align:center;"]);

exports.AuthorList = AuthorList;

var AuthorPhoto = _styledComponents.default.img.withConfig({
  displayName: "styles__AuthorPhoto",
  componentId: "sc-1nxhv5r-3"
})(["height:35px;width:35px;border-radius:50%;box-shadow:0 0 0 3px ", ";object-fit:cover;margin-left:-6px;"], _variables.COLORS.white);

exports.AuthorPhoto = AuthorPhoto;

var DifficultyMeter = _styledComponents.default.div.withConfig({
  displayName: "styles__DifficultyMeter",
  componentId: "sc-1nxhv5r-4"
})(["display:inline-flex;margin:2rem 0.5rem 0.75rem;"]);

exports.DifficultyMeter = DifficultyMeter;

var Difficulty = _styledComponents.default.div.withConfig({
  displayName: "styles__Difficulty",
  componentId: "sc-1nxhv5r-5"
})(["flex:1;width:12px;height:12px;margin:0 3px;border-radius:10px;background:", ";"], _variables.SCHEME.primaryLight);

exports.Difficulty = Difficulty;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(CardsContainer, "CardsContainer", "/Users/user1/Documents/projects/proponents/src/views/home/styles.js");
  reactHotLoader.register(ComponentCard, "ComponentCard", "/Users/user1/Documents/projects/proponents/src/views/home/styles.js");
  reactHotLoader.register(AuthorList, "AuthorList", "/Users/user1/Documents/projects/proponents/src/views/home/styles.js");
  reactHotLoader.register(AuthorPhoto, "AuthorPhoto", "/Users/user1/Documents/projects/proponents/src/views/home/styles.js");
  reactHotLoader.register(DifficultyMeter, "DifficultyMeter", "/Users/user1/Documents/projects/proponents/src/views/home/styles.js");
  reactHotLoader.register(Difficulty, "Difficulty", "/Users/user1/Documents/projects/proponents/src/views/home/styles.js");
  leaveModule(module);
})();

;