"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _button = _interopRequireDefault(require("../../components/button"));

var _input = _interopRequireDefault(require("../../components/input"));

var _codeSwitcher = _interopRequireDefault(require("../../components/code-switcher"));

var _global = require("../../helpers/global");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var jsCode = "// Import Input\nimport { Input } from 'proponents';\n\n// Required Props\ninputRef: Function\ninputValue: string\nplaceholder: string\ninputChange: Function\n\n// Optional Props\nwidth?: number\nlabel?: string\nmargin?: string\ninline?: boolean\nhasIcon?: boolean\niconName?: string\nhasLabel?: boolean\nhasError?: boolean\nerrorMessage?: string";
var stylesCode = '// no styles needed';
/**
 * InputPage Component
 */

var InputPage =
/*#__PURE__*/
function (_React$Component) {
  _inherits(InputPage, _React$Component);

  function InputPage() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, InputPage);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(InputPage)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "state", {
      input: '',
      bordered: false,
      errorMessage: ''
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "onInputChange", function (e) {
      _this.setState({
        input: e.currentTarget.value
      }, function () {
        if (_this.state.input.trim() !== '') {
          _this.setState({
            bordered: false
          });
        }
      });
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "onButtonSubmit", function () {
      if (_this.state.input.trim() === '') {
        _this.setState({
          bordered: true,
          errorMessage: 'Please add your first name.'
        }, function () {
          if (_this.input) {
            _this.input.focus();
          }
        });
      }
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "input", void 0);

    return _this;
  }

  _createClass(InputPage, [{
    key: "render",
    // Render
    value: function render() {
      var _this2 = this;

      return React.createElement(_global.Page, {
        bgGray: true
      }, React.createElement(_global.Section, {
        padding: "8rem 20% 2rem"
      }, React.createElement(_global.H4, {
        textLighter: true,
        logoFont: true
      }, "Input Proponent"), React.createElement(_input.default, {
        width: 400,
        inline: true,
        margin: "0 1rem 0.5rem 0",
        hasLabel: true,
        label: "First Name",
        hasIcon: true,
        iconName: "account_circle",
        split: "1fr 15fr",
        placeholder: "First Name",
        inputValue: this.state.input,
        inputChange: this.onInputChange,
        inputRef: function inputRef(field) {
          return _this2.input = field;
        },
        hasError: this.state.bordered,
        errorMessage: this.state.errorMessage
      }), React.createElement(_button.default, {
        bgDark: true,
        textWhite: true,
        weightBold: true,
        noMargin: true,
        onClick: this.onButtonSubmit
      }, "Submit Form")), React.createElement(_global.Section, {
        padding: "0 20%"
      }, React.createElement(_codeSwitcher.default, {
        js: jsCode,
        styles: stylesCode
      })));
    }
  }, {
    key: "__reactstandin__regenerateByEval",
    // @ts-ignore
    value: function __reactstandin__regenerateByEval(key, code) {
      // @ts-ignore
      this[key] = eval(code);
    }
  }]);

  return InputPage;
}(React.Component); // Export Input Page


var _default = InputPage;
var _default2 = _default;
exports.default = _default2;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(jsCode, "jsCode", "/Users/user1/Documents/projects/proponents/src/views/input/index.jsx");
  reactHotLoader.register(stylesCode, "stylesCode", "/Users/user1/Documents/projects/proponents/src/views/input/index.jsx");
  reactHotLoader.register(InputPage, "InputPage", "/Users/user1/Documents/projects/proponents/src/views/input/index.jsx");
  reactHotLoader.register(_default, "default", "/Users/user1/Documents/projects/proponents/src/views/input/index.jsx");
  leaveModule(module);
})();

;