"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _styles = require("./styles");

var _global = require("../../helpers/global");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * Matrix3D Component
 */
var Matrix3D =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Matrix3D, _React$Component);

  function Matrix3D() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, Matrix3D);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(Matrix3D)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "state", {
      selectedTab: 1
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "onSelectTab", function (e) {
      var tab = e.currentTarget.getAttribute('data-tab');

      _this.setState({
        selectedTab: parseInt(tab)
      });
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "renderTab", function (position, label) {
      return React.createElement(_styles.TabSelector, {
        bgTransparent: true,
        sizeSmall: true,
        textLight: true,
        marginRight: true,
        noPadding: true,
        weightNormal: true,
        fontSize: 15,
        className: _this.state.selectedTab === position ? 'active' : '',
        "data-tab": position,
        onClick: _this.onSelectTab
      }, label);
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "renderTabContent", function (position, text) {
      var selectedTab = _this.state.selectedTab;
      return React.createElement(_styles.SectionContent, {
        "data-key": position.toString(),
        className: "".concat(selectedTab === position ? 'well selected' : 'well absolute'),
        display: selectedTab === position
      }, React.createElement(_global.Text, {
        fontSize: 20
      }, text));
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "renderComponentList", function () {
      return React.createElement(_global.Section, {
        padding: "8rem 20%"
      }, React.createElement(_global.H4, {
        textLighter: true,
        logoFont: true
      }, "Matrix3D animations"), React.createElement(_styles.TabGroup, null, _this.renderTab(1, 'LeBron James'), _this.renderTab(2, 'Kobe Bryant'), _this.renderTab(3, 'Michael Jordan'), _this.renderTab(4, 'Magic Johnson')), React.createElement(_styles.ContentWell, null, _this.renderTabContent(1, 'I am LeBron James from the LA Lakers.'), _this.renderTabContent(2, 'I am Kobe Bryant from the LA Lakers.'), _this.renderTabContent(3, 'I am Michael Jordan from the Chicago Bulls.'), _this.renderTabContent(4, 'I am Magic Johnson from the LA Lakers.')));
    });

    return _this;
  }

  _createClass(Matrix3D, [{
    key: "render",
    // Render
    value: function render() {
      return React.createElement(_global.Page, {
        bgGray: true
      }, this.renderComponentList());
    }
  }, {
    key: "__reactstandin__regenerateByEval",
    // @ts-ignore
    value: function __reactstandin__regenerateByEval(key, code) {
      // @ts-ignore
      this[key] = eval(code);
    }
  }]);

  return Matrix3D;
}(React.Component); // Export Matrix3D


var _default = Matrix3D;
var _default2 = _default;
exports.default = _default2;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(Matrix3D, "Matrix3D", "/Users/user1/Documents/projects/proponents/src/views/matrix3d/index.jsx");
  reactHotLoader.register(_default, "default", "/Users/user1/Documents/projects/proponents/src/views/matrix3d/index.jsx");
  leaveModule(module);
})();

;